this is the default keyboard/mouse handler for smoosic in application mode. It diverts key events to tracker or key commmands as appropriate, and mouse events to tracker. Modal elements take this control away temporarily.

It also handles some global events such as window resize and scroll of the music region.

### Hierarchy

- SuiEventHandler

### Implements

- ModalEventHandler

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SuiEventHandler(params: EventHandlerParams): SuiEventHandler

- - Defined in src/application/eventHandler.ts:67

  #### Parameters

  - ##### params: EventHandlerParams

  #### Returns SuiEventHandler

Generated using TypeDoc